#if !defined(AFX_DLGNETFILE_H__A19BD2C8_C5C1_4BB5_9DB9_C0EEB5320AAB__INCLUDED_)
#define AFX_DLGNETFILE_H__A19BD2C8_C5C1_4BB5_9DB9_C0EEB5320AAB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgNetFile.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgNetFile dialog

class CDlgNetFile : public CDialog
{
// Construction
public:
	CDlgNetFile(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgNetFile)
	enum { IDD = IDD_DLG_NETFILE };
	CProgressCtrl	m_downpos;
	CListCtrl	m_listfile;
	CTime	m_ctTimeStart;
	CTime	m_ctTimeStop;
	CTime	m_ctDateStart;
	CTime	m_ctDateStop;
	CString	m_serurl;
	int		m_serport;
	int		m_serchannel;
	int		m_serfiletype;
	int		m_netfiletype;
	int		m_PlayStayTime;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgNetFile)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgNetFile)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnsearch();
	afx_msg void OnDestroy();
	afx_msg void OnBtndown();
	afx_msg void OnBtnnfileplay();
	afx_msg void OnBtnnfilestop();
	afx_msg void OnDblclkListfile(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnBtnNplaypaus();
	afx_msg void OnBtnNplaystep();
	afx_msg void OnBtnNplayfast();
	afx_msg void OnBtnNplayslow();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnCheckNfileaudio();
	afx_msg void OnBtnCutfile();
	afx_msg void OnBtntimedown();
	afx_msg void OnBtnntimeplay();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	BOOL    m_bSearchDown;
	BOOL    m_bDownLoadDown;
	BOOL    m_bsliderpos;
	BOOL    m_bCutStart;
	void    OnPlayEvent(WPARAM wParam, LPARAM lParam);
    BOOL    CheckTimeSpan(CPLAY_NETTIME *StartTime,CPLAY_NETTIME *StopTime);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGNETFILE_H__A19BD2C8_C5C1_4BB5_9DB9_C0EEB5320AAB__INCLUDED_)
